// This file is a part of the Framsticks GDK.
// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
// Refer to http://www.framsticks.com/ for further information.

#ifndef _STDOUTERRORHANDLER_H_
#define _STDOUTERRORHANDLER_H_

#include "errmanager.h"
#include <frams/virtfile/virtfile.h>

class StdoutErrorHandler: public ErrorHandlerBase
{
VirtFILE *file;
  public:
StdoutErrorHandler(int opts=DontBlock,VirtFILE *_file=NULL):ErrorHandlerBase(opts),file(_file) {}
void handle(const char *o,const char *m,const char *bl,int w);
};

#endif
